Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/fc_client.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions
fc_client.h File Reference
`#include <QMainWindow>`
`#include <QPixmapCache>`
`#include <QStackedWidget>`
`#include "packets.h"`
`#include "chatline_common.h"`
`#include "client_main.h"`
`#include "climisc.h"`
`#include "clinet.h"`
`#include "mapview_common.h"`
`#include "servers.h"`
`#include "tilespec.h"`
`#include "canvas.h"`
`#include "chatline.h"`
`#include "dialogs.h"`
`#include "fonts.h"`
`#include "gotodlg.h"`
`#include "mapview.h"`
`#include "menu.h"`
`#include "messagewin.h"`
`#include "pages.h"`
`#include "ratesdlg.h"`
`#include "voteinfo_bar.h"`

Go to the source code of this file.

## Data Structures

class | fc_icons
class | fc_game_tab_widget
struct | fc_settings
class | fc_corner
class | fc_client
class | pregame_options

## Enumerations

enum | connection_state { LOGIN_TYPE , NEW_PASSWORD_TYPE , ENTER_PASSWORD_TYPE , WAITING_TYPE }

## Functions

class fc_client * | gui ()

## Enumeration Type Documentation

## ◆ connection_state

enum connection_state

Enumerator
LOGIN_TYPE |
NEW_PASSWORD_TYPE |
ENTER_PASSWORD_TYPE |
WAITING_TYPE |

Definition at line 55 of file fc_client.h.

## Function Documentation

## ◆ gui()

class fc_client * gui | ( |  | ) |

Return fc_client instance

Definition at line 83 of file gui_main.cpp.

Referenced by apply_font(), fc_client::apply_fullscreen(), apply_fullscreen(), apply_help_font(), apply_notify_font(), apply_sidebar(), apply_titlebar(), fc_client::browse_saves(), fc_client::browse_scenarios(), fc_game_tab_widget::current_changed(), popup_quit_dialog(), qtg_add_idle_callback(), qtg_add_net_input(), qtg_real_conn_list_dialog_update(), qtg_real_focus_units_changed(), qtg_remove_net_input(), qtg_sound_bell(), fc_game_tab_widget::resizeEvent(), fc_client::switch_page(), fc_client::toggle_unit_sel_widget(), fc_client::update_buttons(), fc_client::update_sidebar_position(), and fc_client::update_start_page().